# Change Log

## Version 1.19.0

* SDK upgrade to **2.12.1**
* Added [Log Level](/v1/twilio-in-browser-call-plugin/getting-started.md#log-level) to allow debug mode when needed

## Version 1.18.0

* SDK upgrade to **2.11.2**
* Added support to set a custom live time token expiration to the Access Token Action

## Version 1.17.0

This version supports making and receiving calls on behalf of sub accounts. Learn more [here](/v1/twilio-in-browser-call-plugin/subaccounts.md).

## Version 1.16.0

* SDK upgrade to **2.10.2**
* Added Agent Name
* Added "Auto Reject Incoming Calls When Busy" feature (Beta). [Learn more](/v1/twilio-in-browser-call-plugin/receiving-calls.md#auto-reject-incoming-calls)

## Version 1.14.0

* Upgrade to Twilio Voice SDK 2.8.0
* Fix a client voice function racing condition. Please update your voice client function. Replace `event.From` with `event.appCallerId`

## Version 1.12.1

Console log bug fix

## Version 1.12.0

Upgrade to Twilio Voice SDK 2.7.2

## Version 1.11.0

* Auto update client token before expiration
* Added new action to update the client token
* Added an event trigger that fires 10 seconds before token expire

## Version 1.10.0

* Upgraded to Twilio Voice SDK v.2.5
* Using [access token instead of capability token](/v1/twilio-in-browser-call-plugin/getting-started.md#create-token-and-service-functions).\
  To create an access token function, please follow the instruction
* Changes to the device states. New states are [<mark style="color:red;">registered</mark>](#user-content-fn-1)[^1], [<mark style="color:red;">unregistered</mark>](#user-content-fn-1)[^1], [<mark style="color:red;">registering</mark>](#user-content-fn-1)[^1]
* Added a new device state, isBusy which returns <mark style="color:red;">yes</mark> or <mark style="color:red;">no</mark>
* Fix incoming call status when the call disconnected from the caller side
* Fix ringing sound when the incoming call is disabled

## Version 1.9.5

* Added a reset action that'll hung up any active calls and reset all states
* Added device status <mark style="color:red;">busy</mark> when there is an active call
* When an inbound call comes on accept, the incoming call will change to <mark style="color:red;">connected</mark>, the active call will hung up, and the call status will change to open
* Added a new tigger event, on accept incoming call
* When the caller hangs up a connected call the call status will change to <mark style="color:red;">closed</mark>

## Version 1.9.4

* Error handling improvements

## Version 1.9.3

* Added new state: incoming call status
* Bug fix on accepting incoming call while having an active call

## Version 1.9.2

* The Reject incoming call action will return the call status <mark style="color:red;">`busy`</mark>
* The ignore incoming call action will return the call status <mark style="color:red;">`closed`</mark>
* Call status state now is returning the [call status](/v1/twilio-in-browser-call-plugin/states.md) instead of mediaStream status
* Behind the seen performance improvements
* Some improvements for actions tracking to help improve plugin support

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inova.us/v1/twilio-in-browser-call-plugin/change-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
